import { APIResource } from "../../../resource.js";
import * as Core from "../../../core.js";
import * as AgreementAPI from "./agreement.js";
export declare class Agreement extends APIResource {
    /**
     * Agreement (GoCardLess)
     */
    create(body: AgreementCreateParams, options?: Core.RequestOptions): Core.APIPromise<GocardlessAgreement>;
}
export interface GocardlessAgreement {
    data: GocardlessAgreement.Data;
}
export declare namespace GocardlessAgreement {
    interface Data {
        id: string;
        accepted: boolean;
        access_valid_for_days: number;
        created: string;
        institution_id: string;
        max_historical_days: number;
    }
}
export interface AgreementCreateParams {
    institutionId: string;
    transactionTotalDays: number;
}
export declare namespace Agreement {
    export import GocardlessAgreement = AgreementAPI.GocardlessAgreement;
    export import AgreementCreateParams = AgreementAPI.AgreementCreateParams;
}
//# sourceMappingURL=agreement.d.ts.map