import { APIResource } from "../../../resource.js";
import * as Core from "../../../core.js";
import * as GocardlessAPI from "./gocardless.js";
import * as AgreementAPI from "./agreement.js";
export declare class Gocardless extends APIResource {
    agreement: AgreementAPI.Agreement;
    /**
     * Exchange token (GoCardLess)
     */
    exchange(body: GocardlessExchangeParams, options?: Core.RequestOptions): Core.APIPromise<GocardlessExchange>;
    /**
     * Auth link (GoCardLess)
     */
    link(body: GocardlessLinkParams, options?: Core.RequestOptions): Core.APIPromise<GocardlessLink>;
}
export interface GocardlessExchange {
    data: GocardlessExchange.Data;
}
export declare namespace GocardlessExchange {
    interface Data {
        id: string;
        access_valid_for_days: number;
        institution_id: string;
        max_historical_days: number;
    }
}
export interface GocardlessLink {
    data: GocardlessLink.Data;
}
export declare namespace GocardlessLink {
    interface Data {
        link: string;
    }
}
export interface GocardlessExchangeParams {
    institutionId: string;
    transactionTotalDays: number;
}
export interface GocardlessLinkParams {
    agreement: string | null;
    institutionId: string;
    redirect: string;
}
export declare namespace Gocardless {
    export import GocardlessExchange = GocardlessAPI.GocardlessExchange;
    export import GocardlessLink = GocardlessAPI.GocardlessLink;
    export import GocardlessExchangeParams = GocardlessAPI.GocardlessExchangeParams;
    export import GocardlessLinkParams = GocardlessAPI.GocardlessLinkParams;
    export import Agreement = AgreementAPI.Agreement;
    export import GocardlessAgreement = AgreementAPI.GocardlessAgreement;
    export import AgreementCreateParams = AgreementAPI.AgreementCreateParams;
}
//# sourceMappingURL=gocardless.d.ts.map