import { APIResource } from "../../resource.js";
import * as Core from "../../core.js";
import * as PlaidAPI from "./plaid.js";
export declare class Plaid extends APIResource {
    /**
     * Exchange token (Plaid)
     */
    exchange(body: PlaidExchangeParams, options?: Core.RequestOptions): Core.APIPromise<PlaidExchange>;
    /**
     * Auth Link (Plaid)
     */
    link(body?: PlaidLinkParams, options?: Core.RequestOptions): Core.APIPromise<PlaidLink>;
    link(options?: Core.RequestOptions): Core.APIPromise<PlaidLink>;
}
export interface PlaidExchange {
    data: PlaidExchange.Data;
}
export declare namespace PlaidExchange {
    interface Data {
        access_token: string;
    }
}
export interface PlaidLink {
    data: PlaidLink.Data;
}
export declare namespace PlaidLink {
    interface Data {
        expiration: string;
        link_token: string;
    }
}
export interface PlaidExchangeParams {
    token: string;
}
export interface PlaidLinkParams {
    /**
     * Used when initiating the reconnect flow
     */
    accessToken?: string;
    language?: string;
    userId?: string;
}
export declare namespace Plaid {
    export import PlaidExchange = PlaidAPI.PlaidExchange;
    export import PlaidLink = PlaidAPI.PlaidLink;
    export import PlaidExchangeParams = PlaidAPI.PlaidExchangeParams;
    export import PlaidLinkParams = PlaidAPI.PlaidLinkParams;
}
//# sourceMappingURL=plaid.d.ts.map