import { APIResource } from "../resource.js";
import * as Core from "../core.js";
import * as HealthAPI from "./health.js";
export declare class Health extends APIResource {
    /**
     * Health
     */
    retrieve(options?: Core.RequestOptions): Core.APIPromise<Health>;
}
export interface Health {
    data: Health.Data;
}
export declare namespace Health {
    interface Data {
        gocardless: Data.Gocardless;
        plaid: Data.Plaid;
        search: Data.Search;
        teller: Data.Teller;
    }
    namespace Data {
        interface Gocardless {
            healthy: boolean;
        }
        interface Plaid {
            healthy: boolean;
        }
        interface Search {
            healthy: boolean;
        }
        interface Teller {
            healthy: boolean;
        }
    }
}
export declare namespace Health {
    export import Health = HealthAPI.Health;
}
//# sourceMappingURL=health.d.ts.map