import { APIResource } from "../../resource.js";
import * as Core from "../../core.js";
import * as InstitutionsAPI from "./institutions.js";
import * as UsageAPI from "./usage.js";
export declare class Institutions extends APIResource {
    usage: UsageAPI.Usage;
    /**
     * Get Institutions
     */
    list(query: InstitutionListParams, options?: Core.RequestOptions): Core.APIPromise<Institutions>;
}
export interface Institutions {
    data: Array<UsageAPI.Institution>;
}
export interface InstitutionListParams {
    /**
     * Country code
     */
    countryCode: 'AT' | 'BE' | 'BG' | 'HR' | 'CY' | 'CZ' | 'DK' | 'EE' | 'FI' | 'FR' | 'DE' | 'GR' | 'HU' | 'IS' | 'IE' | 'IT' | 'LV' | 'LI' | 'LT' | 'LU' | 'MT' | 'NL' | 'NO' | 'PL' | 'PT' | 'RO' | 'SK' | 'SI' | 'ES' | 'SE' | 'GB' | 'US' | 'CA';
    /**
     * Limit results
     */
    limit?: string;
    /**
     * Search query
     */
    q?: string;
}
export declare namespace Institutions {
    export import Institutions = InstitutionsAPI.Institutions;
    export import InstitutionListParams = InstitutionsAPI.InstitutionListParams;
    export import Usage = UsageAPI.Usage;
    export import Institution = UsageAPI.Institution;
    export import UsageUpdateResponse = UsageAPI.UsageUpdateResponse;
}
//# sourceMappingURL=institutions.d.ts.map